#TellRaw 
A Simple Minecraft TellRaw Lib Depend [GsonAgent](https://coding.net/u/502647092/p/GsonAgent/git)
This Lib is Compatible with 1.7.X-1.8.X
## Installation
Maven Repo
```XML
<repositories>
	<repository>
		<id>yumc-repo</id>
		<url>http://repo.yumc.pw/content/groups/public/</url>
	</repository>
</repositories>
```
Maven Depend
```XML
<dependencies>
	<dependency>
		<groupId>cn.citycraft</groupId>
		<artifactId>TellRaw</artifactId>
		<type>jar</type>
		<version>1.0</version>
	</dependency>
	<dependency>
		<groupId>cn.citycraft</groupId>
		<artifactId>GsonAgent</artifactId>
		<type>jar</type>
		<version>1.0</version>
	</dependency>
</dependencies>
```
Maven Shade [Shade Or Depend]
```XML
<plugins>
  <plugin>
    <groupId>org.apache.maven.plugins</groupId>
      <artifactId>maven-shade-plugin</artifactId>
      <version>2.3</version>
      <configuration>
		<artifactSet>
		  <includes>
            <include>cn.citycraft:GsonAgent</include>
		  	<include>cn.citycraft:TellRaw</include>
		  </includes>
		</artifactSet>
	  </configuration>
	  <executions>
		<execution>
		  <phase>package</phase>
		  <goals>
			<goal>shade</goal>
		  </goals>
		</execution>
	  </executions>
	</plugin>
</plugins>
```
Bukkit Depend [Shade Or Depend]
```XML
softdepend: [TellRaw,GsonAgent]
```
##Usage
```java
FancyMessage fm = FancyMessage.newFM();
/*Item Tooltip*/
fm.then("Wood").itemTooltip(new ItemStack(Material.WOOD));
/*Web Link*/
fm.then("link").link("www.yumc.pw");
/*Command Suggest*/
fm.then("suggest").suggest("qs help");
/*Send To Player*/
fm.send(Bukkit.getPlayer("XXX"));
```